import { IModule, ModuleInfo, IModuleCollection } from '../../../Strategy/Interface/IModule';
import { TeamSharingImportInfo } from '../../../AdaptableState/TeamSharingState';
import { AdaptableObject } from '../../../AdaptableState/Common/AdaptableObject';
import { IAdaptableService } from './IAdaptableService';
import { AdaptableModule } from '../../../AdaptableState/Common/Types';
export interface IModuleService extends IAdaptableService {
    logMissingAgGridDepsInfos(): void;
    isAdapTableModulePresent(adaptableModule: AdaptableModule): boolean;
    isModuleEditable(adaptableModule: AdaptableModule): boolean;
    createModuleUIItems(): void;
    getTeamSharingAction(adaptableModule: AdaptableModule): TeamSharingImportInfo<AdaptableObject> | undefined;
    getModuleById<T = IModule>(adaptableModule: AdaptableModule): T | undefined;
    getModuleInfoByModule(adaptableModule: AdaptableModule): ModuleInfo | undefined;
    getModuleInfoByFriendlyName(friendlyName: string): ModuleInfo | undefined;
    getModuleDocumentationPageByModule(adaptableModule: AdaptableModule): string;
    getPopupMaxWidth(adaptableModule: AdaptableModule): number | undefined;
    getModuleCollection(): IModuleCollection;
    getModuleFriendlyName(adaptableModule: AdaptableModule): string;
}
